from django.core.management.base import BaseCommand
from django.urls import reverse
from django.conf import settings
from reinhardt.models import Preferences


class Command(BaseCommand):
    def handle(self, *args, **options):
        for prefs in Preferences.objects.all():
            print(
                prefs.owner.username,
                settings.ACCESS_URL_PREFIX
                + reverse("invite")
                + "?q="
                + prefs.access_token,
            )
