from django import template


register = template.Library()


def has_many_artists(music_files) -> bool:
    artists = []
    for music_file in music_files:
        artists.append(music_file.artist)
        artists = list(set(artists))
        if len(artists) > 1:
            return True
    return False


register.filter("has_many_artists", has_many_artists)
