from django.core.management.base import BaseCommand
from reinhardt.models import MusicDirectory
import os


class Command(BaseCommand):
    def add_arguments(self, parser):
        parser.add_argument("music_dir", type=str)

    def handle(self, *args, **options):
        music_dir = os.path.abspath(os.path.normpath(options["music_dir"]))
        MusicDirectory.objects.get_or_create(local_path=music_dir)
